AsyncRepairCallback (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service

## Class AsyncRepairCallback

- java.lang.Object
- - org.apache.cassandra.service.AsyncRepairCallback

- All Implemented Interfaces:
    IAsyncCallback<ReadResponse>

      public class AsyncRepairCallback
      extends java.lang.Object
      implements IAsyncCallback<ReadResponse>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.concurrent.atomic.AtomicInteger` | `received`

    - ### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

      `isAlive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncRepairCallback(RowDataResolver repairResolver, int blockfor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLatencyForSnitch()`
    `void` | `response(MessageIn<ReadResponse> message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### received

          protected final java.util.concurrent.atomic.AtomicInteger received

  - ### Constructor Detail

    - #### AsyncRepairCallback

          public AsyncRepairCallback(RowDataResolver repairResolver,
                                     int blockfor)

  - ### Method Detail

    - #### response

          public void response(MessageIn<ReadResponse> message)

      Specified by:
        `response` in interface `IAsyncCallback<ReadResponse>`
      Parameters:
        `message` - response received.

    - #### isLatencyForSnitch

          public boolean isLatencyForSnitch()

      Specified by:
        `isLatencyForSnitch` in interface `IAsyncCallback<ReadResponse>`
      Returns:
        true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Copyright © 2018 The Apache Software Foundation